Last Comment Bug 423042 - js.c Print should flush
: js.c Print should flush
Status: RESOLVED FIXED
: fixed1.8.1.15
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Mac OS X
: -- enhancement (vote)
: ---
Assigned To: Jesse Ruderman
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 16:34 PDT by Jesse Ruderman
Modified: 2008-05-30 17:59 PDT (History)
5 users (show)
bob: in‑testsuite-
bob: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (813 bytes, patch)
2008-03-14 16:34 PDT, Jesse Ruderman
shaver: review+
shaver: approval1.9+
Details | Diff | Splinter Review
patch for MOZILLA_1_8_BRANCH (820 bytes, patch)
2008-04-21 00:49 PDT, Gary Kwong [:gkw] [:nth10sd]
shaver: review+
dveditz: approval1.8.1.15+
Details | Diff | Splinter Review

Description Jesse Ruderman 2008-03-14 16:34:17 PDT
Created attachment 309554 [details] [diff] [review]
patch

This patch prevents jsfunfuzz logs from being cut off when ./js crashes.  So far, I've been recommending to people who use jsfunfuzz that they should apply this patch.  Is the performance hit is small enough that it's ok to include it in js.c instead?
Comment 1 Mike Shaver (:shaver -- probably not reading bugmail closely) 2008-03-17 07:01:15 PDT
Comment on attachment 309554 [details] [diff] [review]
patch

Performance of js.c's Print isn't important, r+a=shaver for NPOTB jesse-helping patch.
Comment 2 Gary Kwong [:gkw] [:nth10sd] 2008-04-21 00:49:33 PDT
Created attachment 316773 [details] [diff] [review]
patch for MOZILLA_1_8_BRANCH

This is the corresponding patch for MOZILLA_1_8_BRANCH.
Comment 3 Mike Shaver (:shaver -- probably not reading bugmail closely) 2008-05-29 10:41:46 PDT
Comment on attachment 316773 [details] [diff] [review]
patch for MOZILLA_1_8_BRANCH

r=shaver
Comment 4 Daniel Veditz [:dveditz] 2008-05-30 11:30:36 PDT
Comment on attachment 316773 [details] [diff] [review]
patch for MOZILLA_1_8_BRANCH

Approved for 1.8.1.15, a=dveditz for release-drivers
Comment 5 Jesse Ruderman 2008-05-30 17:59:06 PDT
I checked in the branch patch.  Thanks for porting it, Gary!

Note You need to log in before you can comment on or make changes to this bug.